avro

## Class Address

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - avro.Address

- All Implemented Interfaces:
    Comparable<SpecificRecord>, GenericContainer, GenericRecord, IndexedRecord, SpecificRecord

      public class Address
      extends SpecificRecordBase
      implements SpecificRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Address.Builder` RecordBuilder for Address instances.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `city` Deprecated.
    `static Schema` | `SCHEMA$`
    `String` | `state` Deprecated.
    `String` | `street` Deprecated.
    `int` | `zip` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(int field$)`
    `String` | `getCity()` Gets the value of the 'city' field.
    `Schema` | `getSchema()`
    `String` | `getState()` Gets the value of the 'state' field.
    `String` | `getStreet()` Gets the value of the 'street' field.
    `Integer` | `getZip()` Gets the value of the 'zip' field.
    `static Address.Builder` | `newBuilder()` Creates a new Address RecordBuilder
    `static Address.Builder` | `newBuilder(Address.Builder other)` Creates a new Address RecordBuilder by copying an existing Builder
    `static Address.Builder` | `newBuilder(Address other)` Creates a new Address RecordBuilder by copying an existing Address instance
    `void` | `put(int field$, Object value$)`
    `void` | `setCity(String value)` Sets the value of the 'city' field.
    `void` | `setState(String value)` Sets the value of the 'state' field.
    `void` | `setStreet(String value)` Sets the value of the 'street' field.
    `void` | `setZip(Integer value)` Sets the value of the 'zip' field.

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, equals, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEMA$

          public static final Schema SCHEMA$

    - #### street

          @Deprecated
          public String street

      Deprecated.

    - #### city

          @Deprecated
          public String city

      Deprecated.

    - #### state

          @Deprecated
          public String state

      Deprecated.

    - #### zip

          @Deprecated
          public int zip

      Deprecated.

  - ### Constructor Detail

    - #### Address

          public Address()

  - ### Method Detail

    - #### getSchema

          public Schema getSchema()

      Specified by:
        `getSchema` in interface `GenericContainer`
      Specified by:
        `getSchema` in class `SpecificRecordBase`

    - #### get

          public Object get(int field$)

      Specified by:
        `get` in interface `IndexedRecord`
      Specified by:
        `get` in class `SpecificRecordBase`

    - #### put

          public void put(int field$,
                 Object value$)

      Specified by:
        `put` in interface `IndexedRecord`
      Specified by:
        `put` in class `SpecificRecordBase`

    - #### getStreet

          public String getStreet()

      Gets the value of the 'street' field.

    - #### setStreet

          public void setStreet(String value)

      Sets the value of the 'street' field.
      Parameters:
        `value` - the value to set.

    - #### getCity

          public String getCity()

      Gets the value of the 'city' field.

    - #### setCity

          public void setCity(String value)

      Sets the value of the 'city' field.
      Parameters:
        `value` - the value to set.

    - #### getState

          public String getState()

      Gets the value of the 'state' field.

    - #### setState

          public void setState(String value)

      Sets the value of the 'state' field.
      Parameters:
        `value` - the value to set.

    - #### getZip

          public Integer getZip()

      Gets the value of the 'zip' field.

    - #### setZip

          public void setZip(Integer value)

      Sets the value of the 'zip' field.
      Parameters:
        `value` - the value to set.

    - #### newBuilder

          public static Address.Builder newBuilder()

      Creates a new Address RecordBuilder

    - #### newBuilder

          public static Address.Builder newBuilder(Address.Builder other)

      Creates a new Address RecordBuilder by copying an existing Builder

    - #### newBuilder

          public static Address.Builder newBuilder(Address other)

      Creates a new Address RecordBuilder by copying an existing Address instance

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.